control-tower
Scout API 1.0.0 — see schemas for shared types.
GET /api/control-tower/kpis
get_kpis
Responses
- 200 — OK
application/json→ ControlTowerKpisResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/control-tower/models
get_models
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer | no | |
offset |
query | integer | no | |
from_date |
query | string (date-time) | null | no | |
to_date |
query | string (date-time) | null | no | |
sort_by |
query | string | no | |
sort_order |
query | string | no | |
search |
query | string | null | no |
Responses
- 200 — OK
application/json→ ControlTowerModelsResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/control-tower/models/export
export_models_csv
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
from_date |
query | string (date-time) | null | no | |
to_date |
query | string (date-time) | null | no |
Responses
- 200 — OK
- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/control-tower/overview
get_overview
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer | no | |
offset |
query | integer | no | |
from_date |
query | string (date-time) | null | no | |
to_date |
query | string (date-time) | null | no | |
sort_by |
query | string | no | |
sort_order |
query | string | no | |
search |
query | string | null | no |
Responses
- 200 — OK
application/json→ ControlTowerOverviewResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/control-tower/overview/bulk/disable
bulk_disable_assistants
Request body
Content-Type: application/json
Schema: BulkDisableAssistantBody
Responses
- 200 — OK
application/json→ BulkAssistantActionResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/control-tower/overview/bulk/enable
bulk_enable_assistants
Request body
Content-Type: application/json
Schema: BulkEnableAssistantBody
Responses
- 200 — OK
application/json→ BulkAssistantActionResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/control-tower/overview/bulk/transfer-ownership
bulk_transfer_assistant_ownership
Request body
Content-Type: application/json
Schema: BulkTransferAssistantOwnershipBody
Responses
- 200 — OK
application/json→ BulkAssistantActionResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/control-tower/overview/export
export_overview_csv
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
from_date |
query | string (date-time) | null | no | |
to_date |
query | string (date-time) | null | no |
Responses
- 200 — OK
- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/control-tower/overview/{assistant_id}
get_overview_item
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes | |
from_date |
query | string (date-time) | null | no | |
to_date |
query | string (date-time) | null | no |
Responses
- 200 — OK
application/json→ ControlTowerOverviewItemDetailResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/control-tower/overview/{assistant_id}/disable
disable_assistant
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: DisableAssistantBody
Responses
- 200 — OK
application/json→ AssistantResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/control-tower/overview/{assistant_id}/enable
enable_assistant
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ AssistantResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/control-tower/overview/{assistant_id}/transfer-ownership
transfer_assistant_ownership
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: TransferAssistantOwnershipBody
Responses
- 200 — OK
application/json→ AssistantResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/control-tower/ownership-candidates
get_ownership_candidates
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
search |
query | string | null | no |
Responses
- 200 — OK
application/json→ OwnershipCandidateResponseList- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/control-tower/users
get_users
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer | no | |
offset |
query | integer | no | |
from_date |
query | string (date-time) | null | no | |
to_date |
query | string (date-time) | null | no | |
sort_by |
query | string | no | |
sort_order |
query | string | no | |
search |
query | string | null | no |
Responses
- 200 — OK
application/json→ ControlTowerUsersResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/control-tower/users/export
export_users_csv
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
from_date |
query | string (date-time) | null | no | |
to_date |
query | string (date-time) | null | no |
Responses
- 200 — OK
- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/control-tower/users/{user_id}/usage
get_user_usage_detail
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
user_id |
path | string (uuid) | yes | |
month |
query | string | yes |
Responses
- 200 — OK
application/json→ ControlTowerUserUsageResponse- 422 — Unprocessable Content
application/json→ ValidationError